#ifndef B25_H
#define B25_H

#include "../arib25v023/arib25/src/arib_std_b25.h"
#include "../arib25v023/arib25/src/b_cas_card.h"

extern int b25_open(ARIB_STD_B25 **b25, B_CAS_CARD **bcas, int32_t round, int strip, int emm);
extern int b25_close(ARIB_STD_B25 **b25, B_CAS_CARD **bcas);
extern int b25_put(ARIB_STD_B25 *b25, const uint8_t *buf, int32_t len);
extern int b25_get(ARIB_STD_B25 *b25, const uint8_t **bufp, int32_t *len);
extern int b25_flush(ARIB_STD_B25 *b25);

#endif /* B25_H */
